package io.hmit.modules.sys.service;


import io.hmit.common.page.PageData;
import io.hmit.common.service.BaseService;
import io.hmit.modules.sys.dto.SysRoleDTO;
import io.hmit.modules.sys.entity.SysRoleEntity;

import java.util.List;
import java.util.Map;


/**
 * 角色
 *
 * @author zsh 408538940@qq.com
 */
public interface SysRoleService extends BaseService<SysRoleEntity> {

    PageData<SysRoleDTO> page(Map<String, Object> params);

    List<SysRoleDTO> list(Map<String, Object> params);

    SysRoleDTO get(Long id);

    void save(SysRoleDTO dto);

    void update(SysRoleDTO dto);

    void delete(Long[] ids);

}
